=== debian/changelog ===
pure-faust (0.9-3) precise; urgency=low

  * Faust2 compatibility

 -- Albert Graef <Dr.Graef@t-online.de>  Fri, 18 Jan 2013 15:11:30 +0100

pure-faust (0.9-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sat, 26 May 2012 23:39:35 +0200

pure-faust (0.9-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Thu, 24 May 2012 20:55:41 +0200
