=== debian/control ===
Source: pure-faust
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libltdl-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-faust
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: faust (>> 0.9.46) | faust2
Description: Faust interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a module which lets you load and run
 Faust-generated signal processing modules in Pure. Faust is a functional
 programming language for real-time sound processing and synthesis developed
 at Grame (http://faust.grame.fr).
 .
 Note that as of version 0.5 pure-faust also comes with a compatibility module
 which provides the pure-faust API on top of Pure's built-in Faust interface,
 please see the included README file or the Pure documentation for details.
